      real(kind(1.d0)) function crosstopa(x)
c----------------------------------------------------------------------c
c The unpolarized cross section as a function called by carlos
c
c Input:  x(10) - random numbers supplied by carlos.
c
c Karol Kolodziej, University of Silesia, kolodzie@us.edu.pl
c 27 November, 2000
c----------------------------------------------------------------------c

      use drivec
      use inprms 
      use mathprms 
      use helproc
      use parproc
      use topapprox

      implicit none
      integer, parameter :: dp=kind(1.d0)

      real(dp) :: x(10)
      real(dp), dimension(0:3) :: p1,p2,p3,p4
      real(dp), dimension(0:4) :: ps1,ps2,ps3,ps4

      real(dp) :: dlips,flux,mat2

      real(dp) :: mat2m,crossm,stt

      integer :: ifirst=1

      save ifirst

c      if (ifirst == 1) then
c        if (imad == 1) then
c          call initialize
c          ifirst=0
c        end if
c      end if

      call kineeff1(ecm,x(1),0.d0,p1,ps1,m1,p2,ps2,m2,p3,ps3,m3,
     &                                           p4,ps4,m3,dlips,flux)

c       mat2=1.d0

      call eeff1(p1,p2,p3,p4,ps1,ps2,ps3,ps4,mat2)

      icall=icall+1
ckk>
      crosstopa=convc/flux*mat2*gamt3/gamt*dlips
c      crosstopa=convc/flux*mat2*(gamt3/gamt)**2*dlips
ckk<
c      if (imad == 1) then
c        mat2m=stt(p1,p2,p3,p4)
c        write(*,*) mat2,mat2m
c       end if

      end


