c Initial parameters: 

      module inprms

c Gauge boson masses and widths:

      real(kind(1.d0)), parameter ::   mw=80.423d0   ,    mz=91.1876d0,
     &                        gamw=2.118d0   ,    gamz=2.4952d0

c EW mixing parameter:

      real(kind(1.d0)), parameter ::   sw2=1.d0-(mw/mz)**2 

c Couplings:

      real(kind(1.d0)), parameter :: ralp0=137.03599976d0,  ! ralpw=128.07d0,
     &                      alphas=0.1172d0      ,  gmu=1.16639d-5,
     &                ralpw=4.44288293815837d0/(2.d0*sw2*gmu*mw**2)

c Denner et al.:
c      real(kind(1.d0)), parameter ::   mw=80.26d0   ,    mz=91.1884d0,
c     &                        gamw=2.05d0  ,    gamz=2.46d0
c      real(kind(1.d0)), parameter ::   sw2=1.d0-(mw/mz)**2 ! sw2=0.22532575d0
c      real(kind(1.d0)), parameter :: ralp0=128.89d0,ralpw=128.89d0,
c     &                      alphas=0.12d0      ,  gmu=1.16639d-5
c Boudjema et al.:
c      real(kind(1.d0)), parameter ::   mw=80.23d0, mz=91.1888d0,
c     &                        gamw=2.0337d0 ,    gamz=2.4974d0
c      real(kind(1.d0)), parameter :: ralp0=128.07d0, ralpw=128.07d0,
c     &                      alphas=0.12d0      ,  gmu=1.16639d-5
c      real(kind(1.d0)), parameter ::   
c     & sw2=4.44288293815837d0/(2.d0*ralpw*gmu*mw**2) ! =0.2310309

c Photon mass and width:

      real(kind(1.d0)), parameter ::   mgamma=1.d-6,   gamg=0.d0

c Higgs mass and width:

      real(kind(1.d0)), parameter ::   mh=115.d0,   gamh=0.d0

c Fermion masses:

      real(kind(1.d0)), parameter :: 
     &       me=0.510998902d-3, mmu=105.658357d-3, mtau=1.77699d0,
     &       mu=5.d-3         , mc=1.3d0         , mt=174.3d0,
     &       md=9.d-3         , ms=150.d-3       , mb=4.4d0

c Fermion widths:

      real(kind(1.d0)), parameter :: 
     &       game=0.d0       , gammu=0.d0       , gamtau=0.d0,
     &       gamu=0.d0       , gamc=0.d0        , gamt=1.5d0,
     &       gamd=0.d0       , gams=0.d0        , gamb=0.d0


c No of colours:

      real(kind(1.d0)), parameter :: ncol=3.d0

c Conversion costant (fb*GeV^2):

      real(kind(1.d0)), parameter ::   convc=0.389379292d12

      end module inprms

